org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration

## Interface Configuration

All Known Implementing Classes:
  ConfigurationImpl

    public interface Configuration

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getGhostAlgoDirectory()`
`String` `getHost()`
`String` `getRepository()`
`String` `getSVNAlgorithmsList()`
`String` `getSVNCRANDepsList()`
`String` `getSVNJavaDepsList()`
`String` `getSVNKWDepsList()`
`String` `getSVNLinuxCompiledDepsList()`
`String` `getSVNMainAlgoRepo()`
`String` `getSVNOctaveDepsList()`
`String` `getSVNPreInstalledDepsList()`
`String` `getSVNPythonDepsList()`
`String` `getSVNRBDepsList()`
`String` `getSVNRepository()`
`String` `getSVNWCDepsList()`

### Method Detail

#### getHost

    String getHost()

#### getSVNAlgorithmsList

    String getSVNAlgorithmsList()

#### getRepository

    String getRepository()

#### getSVNLinuxCompiledDepsList

    String getSVNLinuxCompiledDepsList()

#### getSVNPreInstalledDepsList

    String getSVNPreInstalledDepsList()

#### getSVNRBDepsList

    String getSVNRBDepsList()

#### getSVNCRANDepsList

    String getSVNCRANDepsList()

#### getSVNJavaDepsList

    String getSVNJavaDepsList()

#### getSVNKWDepsList

    String getSVNKWDepsList()

#### getSVNOctaveDepsList

    String getSVNOctaveDepsList()

#### getSVNPythonDepsList

    String getSVNPythonDepsList()

#### getSVNWCDepsList

    String getSVNWCDepsList()

#### getSVNRepository

    String getSVNRepository()

#### getSVNMainAlgoRepo

    String getSVNMainAlgoRepo()

#### getGhostAlgoDirectory

    String getGhostAlgoDirectory()